# $Revision: 1.7 $, $Date: 2008-02-25 18:37:38 $
Summary:	Context help for CSS, HTML, JS, MySQL and PHP in Quanta
Summary(pl.UTF-8):	Pomoc kontekstowa Quanty dla CSS, HTML, JS, MySQL i PHP
Name:		kdewebdev-context-help
Version:	0.20041123
Release:	2
Epoch:		0
License:	GPL
Group:		X11/Development/Tools
Source0:	http://dl.sourceforge.net/quanta/css.tar.bz2
# Source0-md5:	365401c41fbefe56c05a5bd16e0d7354
Source1:	http://dl.sourceforge.net/quanta/html.tar.bz2
# Source1-md5:	2be9c55d9795faa46cb094a1919e9c89
Source2:	http://dl.sourceforge.net/quanta/javascript.tar.bz2
# Source2-md5:	4e4945ac5b842339ecc69b4c63960529
Source3:	http://dl.sourceforge.net/quanta/mysql-20030405.tar.bz2
# Source3-md5:	5724096006900495e07a46e8dbd22bbd
Source4:	http://dl.sourceforge.net/quanta/php-quanta-doc-20051114.tar.bz2
# Source4-md5:	7c8104c7064ce81b2b430bf0d7753573
BuildRequires:	tar >= 1:1.15.1
Requires:	kdewebdev-quanta
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qhelpdir	%{_datadir}/apps/quanta/doc

%description
This package provides context help for CSS, HTML, JS, MySQL and PHP.

%description -l pl.UTF-8
Ten pakiet dostarcza pomoc kontekstową dla CSS, HTML, JS, MySQL i PHP.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{qhelpdir}

bzip2 -dc %{SOURCE0} | tar -xf - --strip-components=1 -C $RPM_BUILD_ROOT%{qhelpdir}
bzip2 -dc %{SOURCE1} | tar -xf - --strip-components=1 -C $RPM_BUILD_ROOT%{qhelpdir}
bzip2 -dc %{SOURCE2} | tar -xf - --strip-components=1 -C $RPM_BUILD_ROOT%{qhelpdir}
bzip2 -dc %{SOURCE3} | tar -xf - --strip-components=1 -C $RPM_BUILD_ROOT%{qhelpdir}
bzip2 -dc %{SOURCE4} | tar -xf - --strip-components=1 -C $RPM_BUILD_ROOT%{qhelpdir}

rm $RPM_BUILD_ROOT%{qhelpdir}/*.sh
rm $RPM_BUILD_ROOT%{qhelpdir}/*.kmdr
rm $RPM_BUILD_ROOT%{qhelpdir}/README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{qhelpdir}/*.docrc
%{qhelpdir}/css
%{qhelpdir}/html
%{qhelpdir}/javascript
%{qhelpdir}/mysql
%{qhelpdir}/php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kdewebdev-context-help.spec,v $
Revision 1.7  2008-02-25 18:37:38  twittner
- php docs refreshed (php-quanta-doc-20051114.tar.bz2
  is 2 years younger than php.tar.gz, contains documentation for PHP5)
- rel. 2

Revision 1.6  2007-02-13 08:06:37  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:59  baggins
- converted to UTF-8

Revision 1.4  2005/05/15 12:25:44  glen
- tar --strip-components=1 req tar 1.15+

Revision 1.3  2005/02/24 18:39:06  qboosh
- unified

Revision 1.2  2005/02/23 20:16:05  patrys
- added missing noarch

Revision 1.1  2005/02/23 20:14:14  patrys
- Initial PLD release
- STBR
